#pragma once


void Console_Init(short Left, short Top, short Width, short Height, short bottomScrollHeight);
void Console_Cls();
void Console_SetWindowPosition(int x, int y);
bool Console_SetCursorVisibility(bool visible);
void Console_SetCursor(short x, short y);
//
// FOREGROUND_RED, FOREGROUND_GREEN, FOREGROUND_BLUE, FOREGROUND_INTENSITY
// BACKGROUND_RED, BACKGROUND_GREEN, BACKGROUND_BLUE, BACKGROUND_INTENSITY
void Console_SetColor(WORD color);
void Console_RestoreColor();
void Console_Write(const char *text);
void Console_WriteAt(short x, short y, const char *text);
void Console_ScrollBottomRegion();
bool Console_AdvanceToNextLineIfNotRoomFor(short x, int scroll = -1);
